Subject: Re: [Dhcpv6bis] [dhcwg] I-D Action: draft-ietf-dhc-rfc3315bis-10.txt

From: "Bernie Volz (volz)" <[email-masked]>
Date: Tue, 5 Sep 2017 22:06:47 +0000

Hi:

With this posting, we believe this document is ready to be submitted for publication.

This last update:
- Fixes a few typos (mainly Information-request is now consistent)
- Changes a MAY to a SHOULD in the last paragraph of section 18.2.12:

   If not associated with one of the above mentioned conditions, a
   Client SHOULD initiate a Renew/Reply exchange (as if the T1 time

- Replaces [I-D.ietf-dhc-relay-server-security] with [RFC8213].
- Updates section 22, Security Considerations, to remove [I-D.ietf-dhc-sedhcpv6] and also expand the text to provide details that motive why additional security is not needed in many environments.

This last one is the most significant.

One minor point is that that "full" idnits checker reports:

  Checking references for intended status: Proposed Standard
  ----------------------------------------------------------------------------

     (See RFCs 3967 and 4897 for information about using normative references
     to lower-maturity documents in RFCs)

  ** Obsolete normative reference: RFC 2460

  -- Obsolete informational reference (is this intentional?): RFC 3041
     (Obsoleted by RFC 4941)

Now that RFC 8200 is published (replace 2460) this may be something to review (this is new since the -09 was published).

The RFC 3041 reference is used in one place with the RFC 4941 reference, so not an issue (though I guess one could perhaps argue to remove RFC 3041 reference)?

But I think for now and the document can proceed.

- Bernie

-----Original Message-----
From: dhcwg [mailto:[email-masked]] On Behalf Of [email-masked]
Sent: Tuesday, September 05, 2017 5:52 PM
To: [email-masked]
Cc: [email-masked]
Subject: [dhcwg] I-D Action: draft-ietf-dhc-rfc3315bis-10.txt

A New Internet-Draft is available from the on-line Internet-Drafts directories.
This draft is a work item of the Dynamic Host Configuration WG of the IETF.

        Title           : Dynamic Host Configuration Protocol for IPv6 (DHCPv6) bis
        Authors         : Tomek Mrugalski
                          Marcin Siodelski
                          Bernie Volz
                          Andrew Yourtchenko
                          Michael C. Richardson
                          Sheng Jiang
                          Ted Lemon
                          Timothy Winters
	Filename        : draft-ietf-dhc-rfc3315bis-10.txt
	Pages           : 141
	Date            : 2017-09-05

Abstract:
   This document describes the Dynamic Host Configuration Protocol for
   IPv6 (DHCPv6): an extensible mechanism for configuring nodes with
   network configuration parameters, IP addresses, and prefixes.
   Parameters can be provided statelessly, or in combination with
   stateful assignment of one or more IPv6 addresses and/or IPv6
   prefixes.  DHCPv6 can operate either in place of or in addition to
   stateless address autoconfiguration (SLAAC).

   This document updates the text from RFC3315, the original DHCPv6
   specification, and incorporates prefix delegation (RFC3633),
   stateless DHCPv6 (RFC3736), an option to specify an upper bound for
   how long a client should wait before refreshing information
   (RFC4242), a mechanism for throttling DHCPv6 clients when DHCPv6
   service is not available (RFC7083), and clarifies the interactions
   between modes of operation (RFC7550).  As such, this document
   obsoletes RFC3315, RFC3633, RFC3736, RFC4242, RFC7083, and RFC7550.

The IETF datatracker status page for this draft is:
https://datatracker.ietf.org/doc/draft-ietf-dhc-rfc3315bis/

There are also htmlized versions available at:
https://tools.ietf.org/html/draft-ietf-dhc-rfc3315bis-10
https://datatracker.ietf.org/doc/html/draft-ietf-dhc-rfc3315bis-10

A diff from the previous version is available at:
https://www.ietf.org/rfcdiff?url2=draft-ietf-dhc-rfc3315bis-10

Please note that it may take a couple of minutes from the time of submission
until the htmlized version and diff are available at tools.ietf.org.

Internet-Drafts are also available by anonymous FTP at:
ftp://ftp.ietf.org/internet-drafts/

_______________________________________________
dhcwg mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/dhcwg